<template>
  <ul class="alternativeList">
    <QuestionPageAlternative
      v-for="alternative of shuffleAlternatives(alternatives)"
      :alternative="alternative"
      :key="alternative"
    ></QuestionPageAlternative>
  </ul>
</template>

<script>
import QuestionPageAlternative from "./QuestionPageAlternative.vue";
import { mapGetters } from "vuex";

export default {
  name: "QuestionPageAlternatives",
  components: {
    QuestionPageAlternative,
  },

  computed: {
    ...mapGetters(["alternatives"]),
  },

  methods: {
    shuffleAlternatives(alternatives) {
      var currentIndex = alternatives.length,
        randomIndex;

      // While there remain elements to shuffle...
      while (0 !== currentIndex) {
        // Pick a remaining element...
        randomIndex = Math.floor(Math.random() * currentIndex);
        currentIndex--;

        // And swap it with the current element.
        [alternatives[currentIndex], alternatives[randomIndex]] = [
          alternatives[randomIndex],
          alternatives[currentIndex],
        ];
      }

      return alternatives;
    },
  },
};
</script>

<style>
.alternativeList {
  list-style-type: none;
  padding: 0%;
  margin: 0%;
}
</style>